{% extends 'base.html'%}
{% load static %}

{% block content %}
<section class="list_matkul" id="list_matkul"> <!--mulai contact-->
    <div class="container">
        <div class = "row">
            <div class="col-sm-12">
                <h2 class="text-center"> List Mata Kuliah </h2>
                <br>
                <br>
                <div class="table-responsive-md">
                    <table style="font-family: Roboto;" class="table">

                        <thead>
                        <tr>
                        <th scope="col">Nama Mata Kuliah</th>
                        <th scope="col">Nama Dosen</th>
                        <th scope="col">Jumlah SKS</th>
                        <th scope="col">Deskripsi Mata Kuliah</th>
                        <th scope="col">Semester Tahun</th>
                        <th scope="col">Ruang Kelas</th>
                        </tr>
                        </thead>

                        <tbody>

                            {% for data in ListMatkul %} <!--ListMatkul dapet dari salah satu def di views-->
                            
                            <tr>
                                <th scope="row">
                                    <a href="{% url 'details' id=data.pk%}"> <!--nanti semua nama matkul bisa diklik detailsnya -->
                                        {{data.nama_matkul}}
                                    </a>
                                </th>

                                <td>
                                    {{data.nama_dosen}}
                                </td>

                                <td>
                                    {{data.jumlah_sks}}
                                </td>

                                <td>
                                    {{data.deskripsi_matkul}}
                                </td>

                                <td>
                                    {{data.semester_tahun}}
                                </td>

                                <td>
                                    {{data.ruang_kelas}}
                                </td>

                                <!--buat bagian delete pake button-->

                                <td>
                                    <a class="btn btn-primary" 
                                    href="{% url 'delete' id=data.pk %}" 
                                    role="button">Delete</a>
                                </td>

                            </tr>

                            {% endfor %}
                        </tbody>
                    </table>
                </div>
                <br>
                <a class="btn btn-primary" 
                    href="{% url 'addMatkul'  %}" 
                    role="button">Add Matkul</a>
            </div>
        </div>
    </div>
</section>
{% endblock content %}
